<?php


abstract class FocusSitecall_Model {
	const SITECALL_DEFAULT_GLOBAL_OPTION_KEY = 'focussitecall_default_sitecall';

	public static function getAllByKey( $key ) {
		$data = json_decode( get_option( $key ), true );

		return $data ? $data : [];
	}

	public static function setAllByKey( array $data, $key ) {
		update_option( $key, json_encode( $data ) );
	}
}