<?php
require_once( 'class.focussitecall-admin-settings-page.php' );
require_once( 'class.fucussitecall-add-widget.php' );

/*
	Plugin Name: Focus SiteCall Pro
	Author: Focus Telecom Polska Sp. z o.o.
	Author URI: https://focustelecom.pl/
	Description: SiteCall Pro is a simple widget for a callback on your website
	Version: 1.1.2
    Text Domain: focus-sitecall-pro
    Domain Path: /languages
 */

class FocusSitecall {
    private $admin_settings_page;

	public function __construct() {
        add_action('init', [$this, 'focussitecall_init']);

	    ( new FocusSitecall_Add_Widget() )->register_actions();
		$this->admin_settings_page = new FocusSitecall_Admin_Settings_Page();
    }

    public function focussitecall_init() {
        load_plugin_textdomain( 'focus-sitecall-pro', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );

        wp_register_style( 'focus-sitecall-pro', plugins_url( '/css/main.css', __FILE__ ) );
        wp_enqueue_style( 'focus-sitecall-pro' );
    }
}

if ( is_admin() ) {
	$focus_sitecall = new FocusSiteCall();
}
